Pular para o conteúdo principal
POST
/
augment
/
search
/api/v1/augment/search
curl --request POST \
  --url https://api.venice.ai/api/v1/augment/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "latest news about AI",
  "limit": 10,
  "search_provider": "brave"
}
'
{
  "query": "<string>",
  "results": [
    {
      "title": "<string>",
      "url": "<string>",
      "content": "<string>",
      "date": "<string>"
    }
  ]
}
Esta é uma API experimental. O formato da requisição e da resposta pode mudar sem aviso prévio.
Envie uma consulta de busca no campo query. A API retorna resultados estruturados incluindo títulos, URLs, trechos de conteúdo e datas. Provedores de busca:
  • brave (padrão) — Brave Search com Retenção Zero de Dados (ZDR). As consultas de busca nunca são armazenadas nem registradas pelo provedor.
  • google — Google Search com consultas anonimizadas. As buscas são feitas via proxy pela infraestrutura da Venice para que sua identidade não seja associada à requisição de busca enviada ao Google. A Venice não armazena nem registra as consultas de busca.
Preço: US$ 0,01 por requisição.

Exemplo (cURL)

curl -X POST https://api.venice.ai/api/v1/augment/search \
  -H "Authorization: Bearer $VENICE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"query": "latest news about AI"}'

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corpo

application/json
query
string
obrigatório

The search query

Required string length: 1 - 400
Exemplo:

"latest news about AI"

limit
integer
padrão:10

Maximum number of results to return (default: 10, max: 20)

Intervalo obrigatório: 1 <= x <= 20
Exemplo:

10

search_provider
enum<string>

Search provider to use. "brave" uses Brave Search with Zero Data Retention (ZDR) for maximum privacy — search queries are never stored or logged. "google" uses Google Search with anonymized queries — searches are proxied through Venice's infrastructure so that your identity is not associated with the search request sent to Google. Venice does not store or log search queries. Defaults to "brave".

Opções disponíveis:
google,
brave
Exemplo:

"brave"

Resposta

Successfully executed search

query
string
obrigatório

The search query that was executed

results
object[]
obrigatório

The search results